// Copyright 1993 by Jon Dart.  All Rights Reserved.

#ifndef _PREFERENCES_H
#define _PREFERENCES_H

#include <wpp.h>
#include <wpdlg.h>

#define IDP_BEEPAFTERMOVE 101
#define IDP_BEEPONERROR 102
#define IDP_COMPUTERCANRESIGN 103
#define IDP_USEOPENINGBOOK 104
#define IDP_THINKWHENIDLE 107
#define IDP_RANDOMIZEMOVES 108
#define IDP_SAVE 115

struct Preferences;

class PreferencesDialog : public WPDialogModal
{
    // handles the Preferences ... dialog box in the Options menu.

public:

    PreferencesDialog(WPWin *pwin, Preferences *options) 
    : WPDialogModal("Preferences",pwin, ControlMap, options)
    {
       createWin();	     
    }
    
    void initDlg()
    {
    }
    
private:
    static WPControlMap ControlMap[];

};

#endif